/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.filelist;

public class FileName implements Comparable<FileName> {
	private String fileName;
	
	public FileName(String fileName) {
		this.fileName=fileName;
	}
	
	@Override
	public int compareTo(FileName o) {
		return fileName.compareToIgnoreCase(o.fileName);
	}
	
	@Override
	public String toString() {
		return fileName;
	}
	
	public String getExt() {
		int k=fileName.lastIndexOf('.');
		
		if (k>-1) {
			return fileName.substring(k+1);
		} else {
			return null;
		}
	}
	
}