package xml.reader;

import java.io.File;
import java.io.FileReader;
import java.io.IOException;

import org.xml.sax.ContentHandler;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;


public class DefaultXMLReader {
	public static void read(File xmlFile,ContentHandler handler) throws SAXException, IOException {
		XMLReader xr = XMLReaderFactory.createXMLReader();
		xr.setContentHandler(handler);
		FileReader r = new FileReader(xmlFile);
		xr.parse(new InputSource(r));
	}
}
